// ----------------------------------
// Filename      : Integrator.java
// Created       : 20/01/2000
// Last modified : 20/01/2000
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// ----------------------------------

package mitrasim.util;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class Integrator
{
  public Integrator()
  {
  }

  public float integrandum(float x)
  {
    return x;
  }

  public float integrate(float a, float b, int n)
  {
    float Sum = 0.0f;
    float d = (b - a) / n;
    for (int Step = 1; Step <= n; ++Step) {
      Sum += integrandum(a + (d * Step));
    }
    return (Sum * d);
  }
}
